View Issue Details

IDProjectCategoryView StatusLast Update
0010045CentOS-7[All Projects] generalpublic2016-01-06 13:38
Reporterhunter86_bg 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformOSCentOsOS Version7.2
Product Version7.2.1511 
Target VersionFixed in Version 
Summary0010045: vm.swappines cannot be changed on boot (sysctl.conf)
DescriptionSetting the parameter "vm.swappines = <number>" is not changed after a reboot in CentOs 7.2 but the same works in CentOs 7.0
Steps To Reproduceecho "vm.swappiness = 99" >> /etc/sysctl.conf
echo "net.ipv4.ip_forward = 1" >> /etc/sysctl.conf
reboot
sysctl -a | egrep 'swappiness|ip_forward'
Additional InformationTested on CentOS Linux 7 (Core) with Kernel 3.10.0-229 and it succeeds
Second test, CentOS 7.0 with updated kernel to latest (3.10.0-327-3.1) works.
In CentOS Linux 7.2 (Updated with latest updates from 7.0) with Kernel 3.10.0-327.3.1 fails.
In CentOS Linux 7.2 (minimal install from DVD without any updates ) with Kernel 3.10.0-327 fails.
TagsNo tags attached.
abrt_hash
URL

Activities

alphacc

alphacc

2016-01-05 14:47

developer   ~0025265

It seems your output is not complete

1/ Could you run :

# sysctl --system

2/

Can you check if "tuned" is running ? Which profile are you using ?

For example, the virtual guest profile vm.swapiness is overrided by "tuned".

You can check defaults :

# grep vm.swappiness /usr/lib/tuned/*/tuned.conf
/usr/lib/tuned/latency-performance/tuned.conf:vm.swappiness=10
/usr/lib/tuned/throughput-performance/tuned.conf:vm.swappiness=10
/usr/lib/tuned/virtual-guest/tuned.conf:vm.swappiness = 30

In this case the best approach is to tune "tuned" ;)

my 2 cents,
Thomas
hunter86_bg

hunter86_bg

2016-01-05 15:10

reporter   ~0025266

1/ "sysctl --system" applies the changes.

2/ I have disabled the tuned , and the changes were applied successfully. It seems the best approach is to either tune the tuned or to disable it.
alphacc

alphacc

2016-01-06 13:38

developer   ~0025281

Hi,

I will close this ticket, let me know and reopen if you need more info.

Thomas.

Issue History

Date Modified Username Field Change
2015-12-30 13:10 hunter86_bg New Issue
2016-01-05 14:47 alphacc Note Added: 0025265
2016-01-05 15:10 hunter86_bg Note Added: 0025266
2016-01-06 13:38 alphacc Note Added: 0025281
2016-01-06 13:38 alphacc Status new => resolved
2016-01-06 13:38 alphacc Resolution open => fixed